/* Global Styling */
@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Open+Sans&display=swap");

:root {
  --nav: rgba(249, 178, 61, 1);
  --bg: rgba(156, 131, 95, 1);
  --btn-hover: rgba(196, 196, 196, 1);
  --skin: rgb(249, 211, 186);
  --black: rgba(51, 44, 43, 1);
}

h1,
h2,
h3 {
  font-family: "Open Sans";
  font-style: normal;
  font-weight: bold;
  margin: 0;
}

body {
  min-height: 100vh;
  background-color: var(--bg);
  display: flex;
  flex-direction: column;
  font-size: 4rem;
}

img {
  width: 100%;
  height: auto;
}

nav,
.title {
  display: flex;
  align-items: center;
}

nav {
  margin: 1rem;
}

.title div {
  margin: 0 1rem;
}

.back_button a {
  text-decoration: none;
}

.back_button h2 {
  font-size: 1em;
  line-height: 98px;
  letter-spacing: 0.1em;
  color: rgba(114, 76, 33, 1);
}

.title_text h1 {
  font-size: 0.5em;
  line-height: 49px;
  text-align: center;
  color: var(--nav);
  text-shadow: 2px 1px #000000;
}

.title_logo {
  display: flex;
  width: 5rem;
}

.main {
  position: relative;
  height: 75vh;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.player {
  align-self: center;
  width: 100%;
  min-width: 5rem;
}

.user_choice {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  row-gap: 0.5rem;
  justify-content: center;
}

.user_choice button {
  background: unset;
  border: unset;
  max-width: 9rem;
  width: 100%;
  min-width: 4rem;
  padding: 1rem 1rem;
  border-radius: 10%;
}

.player:nth-child(1) button:hover {
  background-color: var(--skin);
}

.player button:enabled {
  animation: wave 1s;
}

.player:nth-child(3) button {
  cursor: default;
}

.player:nth-child(1) button:active,
.reset button:active {
  transform: translate(0, 5px);
}

.active_choice {
  background-color: var(--btn-hover) !important;
}

.user_title {
  text-align: center;
  padding: 1rem;
}

.user_title h2 {
  font-size: 0.5em;
  line-height: 49px;
  text-align: center;
  letter-spacing: 0.1em;
  color: var(--black);
}

.versus {
  max-width: 15rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: auto;
  z-index: 99;
}

.versus > h1 {
  color: rgba(189, 0, 0, 1);
  font-size: 1.5em;
  text-align: center;
  padding: 0 0.5rem;
}

.versus_result {
  background-color: rgba(76, 150, 84, 1);
  border-radius: 10px;
  height: 10rem;
  transform: rotate(-28.87deg);
}

.versus_result h1 {
  margin: auto;
  color: white;
  font-size: 38px;
  line-height: 52px;
  text-align: center;
  letter-spacing: 0.1em;
}

.draw {
  background-color: rgb(3, 91, 12);
}

.reset {
  position: absolute;
  bottom: 25px;
  left: 0;
  right: 0;
  display: flex;
}

.reset button {
  margin: auto;
  padding: 0;
  display: flex;
  background: unset;
  border: unset;
  width: 5rem;
}

.reset button:hover {
  animation: rotate 1s normal;
}

@keyframes rotate {
  50% {
    transform: rotate(180deg);
  }
}

@keyframes wave {
  25% {
    transform: rotate(10deg);
  }
  75% {
    transform: rotate(-10deg);
  }
}